=== debian/control ===
Source: vocal
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nathan Dyer <mail@nathandyer.me>
Build-Depends: cmake (>= 2.8),
               debhelper-compat (= 12),
               libclutter-1.0-dev,
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev,
               libgee-0.8-dev,
               libgranite-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.14),
               libnotify-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libunity-dev,
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               valac (>= 0.18.1)
Standards-Version: 4.5.2

Package: vocal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: vocal, a modern podcast application
 Simple podcast client for the modern desktop.
